PETSc version 3.17.4
Fix/Edit manual page

# DMPlexCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateReferenceCell(MPI_Comm comm, DMPolytopeType ct, DM *refdm)

Collective

### Input Parameters

| comm | - The communicator
| ct | - The cell type of the reference cell

### Output Parameter

| refdm | - The reference cell

### See Also

DMPlexCreateReferenceCell(), DMPlexCreateBoxMesh()

### Level

intermediate

### Location

src/dm/impls/plex/plexcreate.c

### Implementations

DMPlexCreateReferenceCell_Internal in src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages